# $Revision: 1.19.2.2 $, $Date: 2003/09/06 17:04:14 $
Summary:	Audacity - manipulate digital audio waveforms
Summary(pl):	Audacity - narzdzie do obrbki plikw dwikowych
Summary(ru):	  
Name:		audacity
Version:	1.1.1
%define	subv	3
Release:	2
License:	GPL
Vendor:		Dominic Mazzoni <dominic@minorninth.com>
Group:		X11/Applications/Sound
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}-src-%{version}-%{subv}.tgz
# Source0-md5:	8fd7fc8ccc06b51ab3244a574dc0f3a9
Source1:	%{name}.desktop
Source2:	%{name}-icon.png
Patch0:		%{name}-system-expat.patch
Patch1:		%{name}-helpfile_location.patch
Patch2:		%{name}-not_require_lame-libs-devel.patch
Patch3:		%{name}-opt.patch
Patch4:		%{name}-segv.patch
URL:		http://audacity.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	expat-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	mad-devel
BuildRequires:	wxGTK-devel >= 2.3.2-10
Requires:	lame-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Audacity is a program that lets you manipulate digital audio
waveforms. It imports many sound file formats, including WAV, AIFF,
AU, IRCAM, MP3, and Ogg Vorbis. It supports all common editing
operations such as Cut, Copy, and Paste, plus it will mix tracks and
let you apply plug-in effects to any part of a sound.

%description -l pl
Audacity to program obsugujcy rne formaty plikw audio. Obsuguje
WAV, AIFF, AU, IRCAM, MP3, oraz Ogg Vorbis. Program ten umoliwia
wykonywanie podstawowych czynnoci edycyjnych takich jak kasowanie,
wstawianie i miksowanie cieki dwikowej. Umoliwia take
wykonywanie dowolnych innych operacji poprzez system wtyczek.

%description -l ru
Audacity -   ,     
 WAV, AIFF, AU, IRCAM, MP3  Ogg Vorbis.    
 ,   , , ,
    ,   
,     .

%prep
%setup -q -n %{name}-src-%{version}-%{subv}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__autoconf}
%configure \
	--with-id3tag=system \
	--with-libmad=system \
	--with-libsndfile=system \
	--with-vorbis=system

%{__make} \
	CCC="%{__cxx} -fno-exceptions -fno-rtti" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Multimedia,%{_pixmapsdir}}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

# not built in this version
#install audacity-help.htb $RPM_BUILD_ROOT%{_datadir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/audacity
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_applnkdir}/*/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: audacity.spec,v $
Revision 1.19.2.2  2003/09/06 17:04:14  blues
- merged translations from HEAD

Revision 1.19.2.1  2003/09/06 16:58:56  blues
- release 2 - audacity for RA (previous does not builds)

Revision 1.19  2003/01/25 14:43:44  qboosh
- updated to 1.1.1, removed obsolete dynamic_id3lib patch
- updated helpfile_location,not_require_lame-libs-devel patches
- added system-expat,opt,segv patches

Revision 1.18  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.17  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.16  2002/10/07 09:38:16  qboosh
- BR: autoconf

Revision 1.15  2002/07/24 23:01:43  kloczek
- added using %%{__cxx} macro.

Revision 1.14  2002/07/24 19:33:56  qboosh
- updated to final 1.0.0 (latest stable version)
- updated dynamic_id3lib patch, removed outdated wxGTK-2.3.2 patch
- added missing dir (%%{_datadir}/audacity), removed LICENSE.txt (it's just GPL)

Revision 1.13  2002/07/21 16:56:21  kloczek
- release 4: rebuild agauinst final libvorbis 1.0 and use new %doc.

Revision 1.12  2002/07/05 14:20:43  wiget
- release 3
- BR fixed wxGTK-devel
- BR id3lib-devel

Revision 1.11  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/12 22:52:48  kloczek
- release 2.

Revision 1.9  2002/05/12 13:30:37  mkochano
- BuildRequires: wxGTK-devel >= 2.3.2-7.

Revision 1.8  2002/05/12 07:48:27  djrzulf
- added patch which fix build with wxGTK-2.3.2,
- STBR,

Revision 1.7  2002/04/25 15:49:37  arturs
fixed a small typo

Revision 1.6  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/06 03:05:18  kloczek
- adapterized.

Revision 1.4  2002/02/02 15:34:00  mkochano
- Release 1 "I don't think I'll pass my exams".
- Version 0.98.
- Added icon and desktop file.
- Added patch to dynamically link with id3lib.
- Changed help file location to %%{_datadir}/%{name}.
- Added patch to look for libmp3lame.so.0.0.0 so it doesn't need -devel
  package.
- Completed BuildRequires.

Revision 1.3  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/12 08:53:14  qboosh
- use more macros, gzip doc

Revision 1.1  2001/11/11 01:43:53  fastviper
- created this spec from scratch
